POWEROFF(8)

BEZEICHNUNG
poweroff, reboot, halt - Die Maschine ausschalten, neustarten oder anhalten

ÜBERSICHT

poweroff [OPTIONEN…]

reboot [OPTIONEN…]

halt [OPTIONEN…]

BESCHREIBUNG

poweroff, reboot und halt können zum Ausschalten, Neustarten oder Anhalten der Maschine verwandt werden. Alle drei Befehle akzeptieren die gleichen Optionen.

OPTIONEN

Die folgenden Optionen werden verstanden:

--help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

    Hinzugefügt in Version 253.

--halt
    Hält die Maschine an, unabhängig davon, welcher der drei Befehle aufgerufen wurde.

    Hinzugefügt in Version 253.

-p, --poweroff
    Schaltet die Maschine aus, wenn entweder halt oder poweroff aufgerufen wurde. Diese Option wird beim Aufruf von reboot ignoriert.

    Hinzugefügt in Version 253.

--reboot
    Startet die Maschine neu, unabhängig davon, welcher der drei Befehle verwandt wurde.

    Hinzugefügt in Version 253.

-f, --force
    Erzwingt das sofortige Ausschalten, Anhalten oder Neustarten. Wird dies angegeben, kontaktiert der Befehl das Init-System nicht. In den meisten Fällen werden die Dateisysteme vor dem Herunterfahren nicht korrekt ausgehängt. Beispielsweise ist reboot -f größtenteils zu systemctl reboot -ff anstelle von systemctl reboot -f äquivalent.

    Hinzugefügt in Version 253.

-w, --wtmp-only
    Schreibt nur den Herunterfahreintrag, schaltet die Maschine aber nicht tatsächlich aus, startet sie neu oder hält sie an.

    Hinzugefügt in Version 253.

-d, --no-wtmp
    Schreibt keinen Herunterfahreintrag.

    Hinzugefügt in Version 253.

-n, --no-sync
    Synchronisiert Festplatten/Speichermedien vor dem Ausschalten, Neustarten oder Anhalten nicht.

    Hinzugefügt in Version 253.

--no-wall
    Sendet vor dem Ausschalten, Neustarten oder Anhalten keine Wall-Nachrichten.

    Hinzugefügt in Version 253.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

ANMERKUNGEN

Diese Befehle sind so implementiert, dass sie die grundlegende Kompatibilität mit den ursprünglichen SysV-Befehlen erhalten. Die Unterbefehle poweroff, reboot, halt von systemctl(1) stellen die gleiche Funktionalität mit zusätzlichen Eigenschaften bereit.

Beachten Sie, dass auf vielen SysV-Systemen halt(8) ein Synonym für poweroff war, d.h. beide Befehle würden gleichermaßen im Ausschalten der Maschine enden. Systemd ist hier genauer und halt führt nur zum Anhalten der Maschine (die eingeschaltet bleibt) und poweroff wird benötigt, um die Maschine tatsächlich auszuschalten.

SIEHE AUCH

systemd(1), systemctl(1), shutdown(8), wall(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>, Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.